Subject: Re: [bitcoin-dev] Full node "tip" function

From: Erik Aronesty <[email-masked]>
Date: Thu, 4 May 2017 15:28:10 -0400

>
> This is actually LN’s killer use case - not buying coffees ;)
>

Yes, micro-payments for online network services is precisely what LN is
best at.

Establishing a channel with each peer is too expensive.   But using LN to
micro-pay for high-quality peer services seems like it would aggregate very
well.

It would be great if this protocol was in-place and ready to go in or
around the same time LN is ready.   It would incentivize full nodes even
further than LN does, and allow the network to be strongly DDOS resistant.